#################################################
#
#  (C) 2010-2013 Darrell Anderson
#  humanreadable (AT) yahoo.com
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

include_directories(
  ${CMAKE_BINARY_DIR}
  ${TDE_INCLUDE_DIR}
  ${TQT_INCLUDE_DIRS}
  ${TAGLIB_INCLUDE_DIRS}
  ${MP4V2_INCLUDE_DIRS}
)

link_directories(
  ${MP4V2_LIBRARY_DIRS}
)


##### tagmp4 (static) ###########################

tde_add_library( tagmp4 STATIC_PIC
  SOURCES
    mp4file.cpp mp4file.h mp4properties.cpp mp4properties.h mp4tag.cpp mp4tag.h
    taglib_mp4filetyperesolver.cpp taglib_mp4filetyperesolver.h
  LINK
    mp4v2
)
